spring:
  application:
    name: DFXAgent
    version: ${version}
    commitId: ${commitId}
  servlet:
    multipart:
      max-file-size: 1GB
      max-request-size: 1GB
management:
  endpoints:
    enabled-by-default: false
    jmx:
      exposure:
        exclude: '*'
    web:
      exposure:
        include: dfxagentshutdown
  endpoint:
    dfxagentShutdown:
      enabled: true
logging:
  level:
    root: ERROR
    org.springframework.boot: ERROR
    com.bsmlab.dfx.agent: DEBUG
    com.bsmlab.dfx.agent.DfxAgentApplication: WARN
    org.bgee.log4jdbc-log4j2:
      sqlonly: OFF
      sqltiming: INFO
      audit: OFF
      resultset: OFF
      resultsettable: OFF
      connection: OFF
log4jdbc:
  dump:
    sql:
      resultsettable: false
      resultset: false
      methodcall: false
